Authenticate
POST
/oauth/token
const url = 'https://myshop.com/shopgate/v1/oauth/token';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://myshop.com/shopgate/v1/oauth/token \ --header 'Authorization: Bearer <token>'Provides an OAuth2 access token for Shopgate Connect to authenticate against the Web Checkout API.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”FormData Parameters
Section titled “FormData Parameters”grant_type
string
client_id
string
client_secret
string
Responses
Section titled “Responses”Standard OAuth access token response
Media typeapplication/json
object
access_token
string
token_type
string
expires_in
string
Example
{ "access_token": "MTQ0NjJkZmQ5OTM2NDE1ZTZjNGZmZjI3", "token_type": "bearer", "expires_in": 3600}Client credentials are invalid.
Media typeapplication/json
object
error
string
error_description
string
Example
{ "error": "credentials_invalid", "message": "client credentials are invalid"}
